gr::lte::mib_unpack_vbm_impl Class Reference

`#include <mib_unpack_vbm_impl.h>`

Inheritance diagram for gr::lte::mib_unpack_vbm_impl:
[legend]

## Public Member Functions

| mib_unpack_vbm_impl (std::string &name)
| ~mib_unpack_vbm_impl ()
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)
int | get_SFN ()
std::vector< int > | get_SFN_vec ()
int | get_N_ant ()
int | get_N_rb_dl ()
int | get_phich_dur ()
float | get_phich_res ()
float | get_decoding_rate ()

## Additional Inherited Members

Public Types inherited from gr::lte::mib_unpack_vbm
typedef boost::shared_ptr< mib_unpack_vbm > | sptr
Static Public Member Functions inherited from gr::lte::mib_unpack_vbm
static sptr | make (std::string name="mib_unpack_vbm")
| Return a shared_ptr to a new instance of lte::mib_unpack_vbm.

## Constructor & Destructor Documentation

## mib_unpack_vbm_impl()

gr::lte::mib_unpack_vbm_impl::mib_unpack_vbm_impl | ( | std::string & | name | ) |

## ~mib_unpack_vbm_impl()

gr::lte::mib_unpack_vbm_impl::~mib_unpack_vbm_impl | ( |  | ) |

## Member Function Documentation

## get_decoding_rate()

float gr::lte::mib_unpack_vbm_impl::get_decoding_rate | ( |  | ) |

## get_N_ant()

int gr::lte::mib_unpack_vbm_impl::get_N_ant | ( |  | ) |

inline

References gr::lte::cell_state_information::N_ant.

## get_N_rb_dl()

int gr::lte::mib_unpack_vbm_impl::get_N_rb_dl | ( |  | ) |

inline

References gr::lte::cell_state_information::N_rb_dl.

## get_phich_dur()

int gr::lte::mib_unpack_vbm_impl::get_phich_dur | ( |  | ) |

inline

References gr::lte::cell_state_information::phich_duration.

## get_phich_res()

float gr::lte::mib_unpack_vbm_impl::get_phich_res | ( |  | ) |

inline

References gr::lte::cell_state_information::phich_resources.

## get_SFN()

int gr::lte::mib_unpack_vbm_impl::get_SFN | ( |  | ) |

inline

## get_SFN_vec()

std::vector< int > gr::lte::mib_unpack_vbm_impl::get_SFN_vec | ( |  | ) |

inline

## work()

int gr::lte::mib_unpack_vbm_impl::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

The documentation for this class was generated from the following file:

- mib_unpack_vbm_impl.h